body, html {
    height: 100%;
    background: #f5f5f5;
    font-family: 'Arial', sans-serif;
}

html {
    box-sizing: border-box;
    max-height: 100%;
    font-size: 100%;
    line-height: 21px;
}
a {
    margin-right: 5px;
    color: #039be5;
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
}

.clearfix {overflow: auto}

*, :after, :before {
    box-sizing: inherit;
}

body {
    margin: 0;
    padding: 0;
    font-size: 1rem;
}

#app {
    max-width: 800px;
    margin: 0 auto;
    height: 100%;
    display: flex;
    flex-direction: column;

}

#mainWindow {
    flex-grow: 1;
    overflow-y: auto;
    overflow-x: hidden;
}
#messages {
    margin: 1rem 10px 0;
}


.suggestion {
    margin-right: 10px;
    padding: 8px 13px;
    border-radius: 10px;
    border: 2px rgb(221,221,221) solid;
    display: inline-block;
    background: #e2e2e2;
    color: #cccccc;
    margin-bottom: 10px;
    transition: color .3s ease, background-color .3s ease;
}
.suggestion:hover {
    cursor: pointer;
}
.suggestion:focus {
    outline: none;
}

.messageGroup:last-child .suggestion {
    color: #5a5a5a;
    background: none;
}

#form {

    height: 47px;
    position: relative;
    flex-shrink: 0; 
      border: 0 #e6e6e6 solid;
    border-top-width: 1px;
}
#form_sendButton, #form_helpButton {
    position: absolute;
    top: 2px;
    bottom: 0;
    background: none;
    border: none;
    cursor: pointer;
}
#form_sendButton {
    right: 0;
    color: #3d82c0;
}

#form_helpButton {
    left:0;
}
#form_input {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    padding-left: 45px;
    border: 0;
    height: 46px;
}

#form_input:focus {
    outline: none;
}

#form_input:focus+.form_cover{
    opacity: 0;
}

.form_cover {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 10;
    pointer-events: none;
    background: #f5f5f5;
    color: #aaaaaa;
    display: flex;
    align-items: center;
    padding-left: 20px;
    display: none;
}


.botIcon{
    width: 60px;
    margin-right: 10px;
    opacity: 0.4;
    flex-shrink: 0;
    transition: opacity .4s ease;
}

.messageGroup:last-child .botIcon {
    opacity: 1;
}

.messageGroup button {
    pointer-events: none;
}
.messageGroup:last-child button {
    pointer-events: initial;
}

.message {
    margin-bottom: 10px;
}
.message--welcome .botIcon {
    display: block;
    width: 110px;
    margin-left: 2l0px;
}
.message--welcome .message_bubble {
    display: inline-block;
    margin-top: 10px;
    background: white;
    border: 1px #e2e2e2 solid;
}
.message--welcome .message_bubble:after, .message--welcome .message_bubble:before {
    bottom: 100%;
	left: 37%;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
    border-color: rgba(255, 255, 255, 0);
}

.message--welcome .message_bubble:after {
    border-bottom-color: #ffffff;
    border-width: 7px;
    margin-left: -7px;
}
.message--welcome .message_bubble:before {
    border-bottom-color:  #e2e2e2;
    border-width: 8px;
    margin-left: -8px;
}

.message--left {
    display: flex;
    align-items: flex-start;
}
.message--left .message_bubble{
    margin-right: 40px;
    background: white;
}

.message_bubble {
    border-radius: 10px;
    padding: 10px 15px;
    position: relative;
}
.message--right .message_bubble {
    margin-left: 80px;
    background: #e0e0e0;
    float: right;
}
.box {
    background: white;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.16), 0 0 0 1px rgba(0,0,0,0.08);
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.16), 0 0 0 1px rgba(0,0,0,0.08);
    border-radius: 2px;
    font-family: Arial, Helvetica, sans-serif;
    margin-bottom: 10px;
}
.box_header {
    padding: 13px;
    display: flex;
}
.box_header_texts {
    flex-grow: 1;
}
.box_header_title {
    color: rgba(0,0,0,.87);
    line-height: 1.2;
    font-size: 30px;   
}
.box_header_subtitle {
    font-size: 16px;
    color: #777;
    margin: 4px 0;
}
.box_header_figure {
    height: 80px;
    width: 70px;
    object-fit: cover;
    object-position: center;
    flex-shrink: 0;
}
.box_content {
    border-top: solid 1px #ebebeb;
    padding: 13px;
}
.btn {
    width: 100px;
    height: 60px;
    background: none;
    border: 1px #d5d5d5 solid;
    color: #4e4e4e;
    border-radius: 2px;
    margin: 0 11px 5px 0;
}
.card{
    -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    position: relative;
    margin: 0.5rem 0 1rem 0;
    background-color: #fff;
    -webkit-transition: -webkit-box-shadow .25s;
    transition: -webkit-box-shadow .25s;
    transition: box-shadow .25s;
    transition: box-shadow .25s, -webkit-box-shadow .25s;
    border-radius: 2px;
}

.card.horizontal {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}
.card .card-image {
    position: relative;
}
.card.horizontal .card-image {
    max-width: 50%;
}

.card .card-image img {
    display: block;
    border-radius: 2px 2px 0 0;
    position: relative;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
}

.card.horizontal .card-image img {
    border-radius: 2px 0 0 2px;
    max-width: 100%;
    width: auto;
}
.card.horizontal .card-stacked {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
    position: relative;
}

.card .card-content {
    padding: 24px;
    border-radius: 0 0 2px 2px;
}
.card.horizontal .card-stacked .card-content {
    -webkit-box-flex: 1;
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
}
.card .card-action {
    position: relative;
    background-color: inherit;
    border-top: 1px solid rgba(160, 160, 160, 0.2);
    padding: 16px 24px;
}

.card .card-action:last-child {
    border-radius: 0 0 2px 2px;
}

.card .card-action a:not(.btn):not(.btn-large):not(.btn-large):not(.btn-floating) {
    color: #ffab40;
    margin-right: 24px;
    -webkit-transition: color .3s ease;
    transition: color .3s ease;
    text-transform: uppercase;
}

.ct-label {
    font-size: 19px;
}

.table {
    width: 100%;
}

.table th {
    font-weight: 400;
    color: #757575;
    vertical-align: bottom;
    padding: 13px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.12);
}

.table td {
    font-style: normal;
    font-weight: 300;
    color: #2f2f2f;
    line-height: 2rem;
    padding: 10px;
    text-align: center;
}

.spinner {
    margin: 5px auto 0;
    width: 70px;
    text-align: center;
  }
  .spinner > div {
    width: 18px;
    height: 18px;
    background-color: #B1B1B1;
  
    border-radius: 100%;
    display: inline-block;
    -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
    animation: sk-bouncedelay 1.4s infinite ease-in-out both;
  }
  .spinner .bounce1 {
    -webkit-animation-delay: -0.32s;
    animation-delay: -0.32s;
  }
  .spinner .bounce2 {
    -webkit-animation-delay: -0.16s;
    animation-delay: -0.16s;
  }
  @-webkit-keyframes sk-bouncedelay {
    0%, 80%, 100% { -webkit-transform: scale(0) }
    40% { -webkit-transform: scale(1.0) }
  }
  
  @keyframes sk-bouncedelay {
    0%, 80%, 100% { 
      -webkit-transform: scale(0);
      transform: scale(0);
    } 40% { 
      -webkit-transform: scale(1.0);
      transform: scale(1.0);
    }
  }